signature-class {methods} | R Documentation

## Class `"signature"` For Method Definitions

### Description

This class represents the mapping of some of the formal arguments of a function onto the corresponding classes. It is used for two slots in the `MethodDefinition` class.

### Objects from the Class

Objects can be created by calls of the form `new("signature", functionDef, ...)`. The `functionDef` argument, if it is supplied as a function object, defines the formal names. The other arguments define the classes. More typically, the objects are created as side effects of defining methods. Either way, note that the classes are expected to be well defined, usually because the corresponding class definitions exist. See the comment on the `package` slot.

### Slots

`.Data`:

  Object of class `"character"` the class names.

`names`:

  Object of class `"character"` the corresponding argument names.

`package`:

  Object of class `"character"` the names of the packages corresponding to the class names. The combination of class name and package uniquely defines the class. In principle, the same class name could appear in more than one package, in which case the `package` information is required for the signature to be well defined.

### Extends

Class `"character"`, from data part. Class `"vector"`, by class "character".

### Methods

initialize

  `signature(object = "signature")`: see the discussion of objects from the class, above.

### See Also

class `MethodDefinition` for the use of this class.

[Package methods version 3.6.0 Index]